QGIS Application - Bug report #1270
Python plugins refuse to load "due an error when calling its initGui() method"
2008-09-02 09:00 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 11330
Description

In r9245 all Python plugins refuse to load with an error:

Nie mozna wczytaé¢ wtyczkifTools due an error when calling its initGui() method

In r9243 it was all ok.

Full error output:

Nie mozna wczyta¢ wtyczkigeoprocessing due an error when calling its initGui() method

Traceback (most recent call last):
File ™, line 1,in
File "/home/shoofi/.qgis//python/plugins/geoprocessing/geoprocessing.py", line 83, in initGui
self.actionGeoprocessing = QAction(Qlcon(":/plugins/geoprocessing/icon_buffer.xpm"),
QCoreApplication.translate("Geoprocessing","Geoprocessing Tool"), self.iface.getMainWindow())
[[AttributeError]]: getMainWindow

Python version:
2.5.2(r252:60911, Aug 6 2008, 09:48:46)
[GCC 4.3.1]

Python path:

['/usr/local/qgis/share/qgis/python’, '/home/shoofi/.qgis//python/plugins', '/ust/local/qgis/share/qgis/python/plugins’,
'fusr/lib/python2.5', '/usr/lib/python2.5/plat-linux2', ‘/ust/lib/python2.5/lib-tk, '/ust/lib/python2.5/lib-dynload’,
'/usr/local/lib/python2.5/site-packages', /ust/lib/python2.5/site-packages’, ‘/ust/lib/python2.5/site-packages/Numeric',
"/usr/lib/python2.5/site-packages/PIL', '/usr/lib/python2.5/site-packages/gst-0.10', '/var/lib/python-support/python2.5',
'Ivar/lib/python-support/python2.5/gtk-2.0', '/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode',
'"home/shoofi/.qgis/python/plugins/fTools/tools']

Cosmetic issue - there should be a space between words "wtyczki" and the plugin name ("fTools" in this case).

History

#1 - 2008-09-02 09:14 AM - Juirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed
the plugins need to be updated for the new API. what used to be named getMainWindow() is now called mainWindow().

See http://lists.osgeo.org/pipermail/qgis-developer/2008-August/004721.html

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
